Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<DeferredDeletion(False)> _
Public Class ABRQueryRows
    Inherits BaseObject
    Private _ABRQueryHeader As ABRQueryHeader
    Private _GLCardsHeader As GLCardsHeader
    Private _CustomersFrom As CustomersFrom
    Private _Customers As Customers
    Private _PartnerType As ePartnerType
    Private _CurrencyName_Account As CurrencyName
    Private _BallanceHUF As Double
    Private _BallanceDEV As Double


    Private _D00_OpenLiquidHUF As Double = 0
    Private _D00_OpenLiquidDEV As Double = 0
    Private _D01_NotExpiredHUF As Double
    Private _D01_NotExpiredDEV As Double
    Private _D02_001_015HUF As Double
    Private _D02_001_015DEV As Double
    Private _D03_016_030HUF As Double
    Private _D03_016_030DEV As Double
    Private _D04_031_060HUF As Double
    Private _D04_031_060DEV As Double
    Private _D05_061_090HUF As Double
    Private _D05_061_090DEV As Double
    Private _D06_091_150HUF As Double
    Private _D06_091_150DEV As Double
    Private _D07_151_365HUF As Double
    Private _D07_151_365DEV As Double
    Private _D08_OverOneYearHUF As Double
    Private _D08_OverOneYearDEV As Double
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Association("ABRQueryHeader-ABRQueryRows", GetType(ABRQueryHeader))> _
    Property ABRQueryHeader As ABRQueryHeader
        Get
            Return _ABRQueryHeader
        End Get
        Set(value As ABRQueryHeader)
            SetPropertyValue("ABRQueryHeader", _ABRQueryHeader, value)
        End Set
    End Property
    <Browsable(False)> _
    Property GLCardsHeader As GLCardsHeader
        Get
            Return _GLCardsHeader
        End Get
        Set(value As GLCardsHeader)
            SetPropertyValue("GLCardsHeader", _GLCardsHeader, value)
        End Set
    End Property
    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    Property Customers As Customers
        Get
            Return _Customers
        End Get
        Set(value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
    Property PartnerType As ePartnerType
        Get
            Return _PartnerType
        End Get
        Set(value As ePartnerType)
            SetPropertyValue("PartnerType", _PartnerType, value)
        End Set
    End Property
    Property CurrencyName_Account As CurrencyName
        Get
            Return _CurrencyName_Account
        End Get
        Set(value As CurrencyName)
            SetPropertyValue("CurrencyName_Account", _CurrencyName_Account, value)
        End Set
    End Property
    Property BallanceHUF As Double
        Get
            Return _BallanceHUF
        End Get
        Set(value As Double)
            SetPropertyValue("BallanceHUF", _BallanceHUF, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
    Property BallanceDEV As Double
        Get
            Return _BallanceDEV
        End Get
        Set(value As Double)
            SetPropertyValue("BallanceDEV", _BallanceDEV, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property

    Property D00_OpenLiquidHUF As Double
        Get
            Return _D00_OpenLiquidHUF
        End Get
        Set(value As Double)
            SetPropertyValue("D00_OpenLiquidHUF", _D00_OpenLiquidHUF, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
    Property D00_OpenLiquidDEV As Double
        Get
            Return _D00_OpenLiquidDEV
        End Get
        Set(value As Double)
            SetPropertyValue("D00_OpenLiquidDEV", _D00_OpenLiquidDEV, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
    Property D01_NotExpiredHUF As Double
        Get
            Return _D01_NotExpiredHUF
        End Get
        Set(value As Double)
            SetPropertyValue("D01_NotExpiredHUF", _D01_NotExpiredHUF, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
    Property D01_NotExpiredDEV As Double
        Get
            Return _D01_NotExpiredDEV
        End Get
        Set(value As Double)
            SetPropertyValue("D01_NotExpiredDEV", _D01_NotExpiredDEV, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
    Property D02_001_015HUF As Double
        Get
            Return _D02_001_015HUF
        End Get
        Set(value As Double)
            SetPropertyValue("D02_001_015HUF", _D02_001_015HUF, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
    Property D02_001_015DEV As Double
        Get
            Return _D02_001_015DEV
        End Get
        Set(value As Double)
            SetPropertyValue("D02_001_015DEV", _D02_001_015DEV, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
    Property D03_016_030HUF As Double
        Get
            Return _D03_016_030HUF
        End Get
        Set(value As Double)
            SetPropertyValue("D03_016_030HUF", _D03_016_030HUF, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
    Property D03_016_030DEV As Double
        Get
            Return _D03_016_030DEV
        End Get
        Set(value As Double)
            SetPropertyValue("D03_016_030DEV", _D03_016_030DEV, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
    Property D04_031_060HUF As Double
        Get
            Return _D04_031_060HUF
        End Get
        Set(value As Double)
            SetPropertyValue("D04_031_060HUF", _D04_031_060HUF, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
    Property D04_031_060DEV As Double
        Get
            Return _D04_031_060DEV
        End Get
        Set(value As Double)
            SetPropertyValue("D04_031_060DEV", _D04_031_060DEV, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
    Property D05_061_090HUF As Double
        Get
            Return _D05_061_090HUF
        End Get
        Set(value As Double)
            SetPropertyValue("D05_061_090HUF", _D05_061_090HUF, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
    Property D05_061_090DEV As Double
        Get
            Return _D05_061_090DEV
        End Get
        Set(value As Double)
            SetPropertyValue("D05_061_090DEV", _D05_061_090DEV, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
    Property D06_091_150HUF As Double
        Get
            Return _D06_091_150HUF
        End Get
        Set(value As Double)
            SetPropertyValue("D06_091_150HUF", _D06_091_150HUF, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
    Property D06_091_150DEV As Double
        Get
            Return _D06_091_150DEV
        End Get
        Set(value As Double)
            SetPropertyValue("D06_091_150DEV", _D06_091_150DEV, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
    Property D07_151_365HUF As Double
        Get
            Return _D07_151_365HUF
        End Get
        Set(value As Double)
            SetPropertyValue("D07_151_365HUF", _D07_151_365HUF, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
    Property D07_151_365DEV As Double
        Get
            Return _D07_151_365DEV
        End Get
        Set(value As Double)
            SetPropertyValue("D07_151_365DEV", _D07_151_365DEV, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
    Property D08_OverOneYearHUF As Double
        Get
            Return _D08_OverOneYearHUF
        End Get
        Set(value As Double)
            SetPropertyValue("D08_OverOneYearHUF", _D08_OverOneYearHUF, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
    Property D08_OverOneYearDEV As Double
        Get
            Return _D08_OverOneYearDEV
        End Get
        Set(value As Double)
            SetPropertyValue("D08_OverOneYearDEV", _D08_OverOneYearDEV, Math.Round(value, 2, MidpointRounding.AwayFromZero))
        End Set
    End Property
End Class
